Package org.apache.sysds.runtime.instructions.spark.utils

# Class RDDConverterUtils.BinaryCellToBinaryBlockFunction

java.lang.Object
org.apache.sysds.runtime.instructions.spark.utils.RDDConverterUtils.BinaryCellToBinaryBlockFunction

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.PairFlatMapFunction<Iterator<scala.Tuple2<MatrixIndexes,MatrixCell>>,MatrixIndexes,MatrixBlock>`

Enclosing class:
  RDDConverterUtils

public static class RDDConverterUtils.BinaryCellToBinaryBlockFunction extends Object implements org.apache.spark.api.java.function.PairFlatMapFunction<Iterator<scala.Tuple2<MatrixIndexes,MatrixCell>>,MatrixIndexes,MatrixBlock>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BinaryCellToBinaryBlockFunction(DataCharacteristics mc)`

## Method Summary

Modifier and Type
Method
Description
`Iterator<scala.Tuple2<MatrixIndexes,MatrixBlock>>`
`call(Iterator<scala.Tuple2<MatrixIndexes,MatrixCell>> arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BinaryCellToBinaryBlockFunction

public BinaryCellToBinaryBlockFunction(DataCharacteristics mc)

## Method Details

### call

public Iterator<scala.Tuple2<MatrixIndexes,MatrixBlock>> call(Iterator<scala.Tuple2<MatrixIndexes,MatrixCell>> arg0) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFlatMapFunction<Iterator<scala.Tuple2<MatrixIndexes,MatrixCell>>,MatrixIndexes,MatrixBlock>`
Throws:
  `Exception`